summaryrefslogtreecommitdiff
path: root/network/iojs/npm.sh
diff options
context:
space:
mode:
authorRyan P.C. McQuen <ryan.q@linux.com>2015-01-20 06:29:57 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-20 06:29:57 +0700
commitb561318b20b9cb1e2dbe1c42caa1c2daf9910b9f (patch)
treefab70c3ba16278e18cf0e044129d1f5e5371fdf2 /network/iojs/npm.sh
parent290e53f1aa187e0a70aa216d3e06c81af8784ff3 (diff)
downloadslackbuilds-b561318b20b9cb1e2dbe1c42caa1c2daf9910b9f.tar.gz
network/iojs: Added (Evented I/O for V8 JavaScript).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/iojs/npm.sh')
-rw-r--r--network/iojs/npm.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/network/iojs/npm.sh b/network/iojs/npm.sh
new file mode 100644
index 0000000000..d027590597
--- /dev/null
+++ b/network/iojs/npm.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+###-begin-npm-completion-###
+#
+# npm command completion script
+#
+# Installation: npm completion >> ~/.bashrc (or ~/.zshrc)
+# Or, maybe: npm completion > /usr/local/etc/bash_completion.d/npm
+#
+
+COMP_WORDBREAKS=${COMP_WORDBREAKS/=/}
+COMP_WORDBREAKS=${COMP_WORDBREAKS/@/}
+export COMP_WORDBREAKS
+
+if type complete &>/dev/null; then
+ _npm_completion () {
+ local si="$IFS"
+ IFS=$'\n' COMPREPLY=($(COMP_CWORD="$COMP_CWORD" \
+ COMP_LINE="$COMP_LINE" \
+ COMP_POINT="$COMP_POINT" \
+ npm completion -- "${COMP_WORDS[@]}" \
+ 2>/dev/null)) || return $?
+ IFS="$si"
+ }
+ complete -F _npm_completion npm
+elif type compdef &>/dev/null; then
+ _npm_completion() {
+ si=$IFS
+ compadd -- $(COMP_CWORD=$((CURRENT-1)) \
+ COMP_LINE=$BUFFER \
+ COMP_POINT=0 \
+ npm completion -- "${words[@]}" \
+ 2>/dev/null)
+ IFS=$si
+ }
+ compdef _npm_completion npm
+elif type compctl &>/dev/null; then
+ _npm_completion () {
+ local cword line point words si
+ read -Ac words
+ read -cn cword
+ let cword-=1
+ read -l line
+ read -ln point
+ si="$IFS"
+ IFS=$'\n' reply=($(COMP_CWORD="$cword" \
+ COMP_LINE="$line" \
+ COMP_POINT="$point" \
+ npm completion -- "${words[@]}" \
+ 2>/dev/null)) || return $?
+ IFS="$si"
+ }
+ compctl -K _npm_completion npm
+fi
+###-end-npm-completion-###